Subject: Utah H.B. 366: News...
From: <[email-masked]>
Date: Thu, 16 Feb 1995 17:22:10 -0500

Hits & Misses

Legislative Low-Balls

Miss: I now pronounce you discriminated against. The day of reckoning will
come when homosexuals have all the rights and legal recognition heteroseuals
enjoy, but don't look toward Utah. In an apparent move to make the state gay-
and lesbian-free, legislators have drafted a law bolstering Utah's already
aggressive ban on same-sex marriages. The bill is not only bigoted, it's a
paranoid reaction to legislation in other states that might legalize gay
marriage. Legal recognition of gay marriages is no small potatoes - many
people get health insurance through a spouse. If you're a gay or lesbian
Utahn who wants all the legal rights of marriage, you'd better brush up on
your estate planning.

February 16, 1995
Private Eye Weekly (Salt Lake City, Utah)